Bug 768813 - [abrt] insight-6.8.1-4.fc15: gdb_get_breakpoint_info: Process /usr/bin/insight was killed by signal 11 (SIGSEGV)
Summary: [abrt] insight-6.8.1-4.fc15: gdb_get_breakpoint_info: Process /usr/bin/insigh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: insight
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d51d6b26cca2b4d14520d0197ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-19 03:50 UTC by michael.faille
Modified: 2012-05-02 20:56 UTC (History)
1 user (show)

Fixed In Version: insight-7.4.50-1.20120403cvs.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-22 03:48:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (73.64 KB, text/plain)
2011-12-19 03:50 UTC, michael.faille
no flags Details
File: a.out (7.38 KB, text/plain)
2011-12-19 03:50 UTC, michael.faille
no flags Details
File: char_array2 (7.43 KB, text/plain)
2011-12-19 03:50 UTC, michael.faille
no flags Details
File: coredump (13.00 MB, text/plain)
2011-12-19 03:52 UTC, michael.faille
no flags Details
File: maps (14.75 KB, text/plain)
2011-12-19 03:52 UTC, michael.faille
no flags Details

Description michael.faille 2011-12-19 03:50:11 UTC
libreport version: 2.0.8
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        insight char_array2
crash_function: gdb_get_breakpoint_info
executable:     /usr/bin/insight
kernel:         3.1.2-1.fc16.x86_64
pid:            29362
pwd:            /home/michael/Documents/home/reader/booksrc
reason:         Process /usr/bin/insight was killed by signal 11 (SIGSEGV)
time:           Wed 30 Nov 2011 09:49:15 PM EST
uid:            1000
username:       michael

a.out:          Binary file, 7557 bytes
backtrace:      Text file, 75404 bytes
char_array2:    Binary file, 7609 bytes
maps:           Text file, 15103 bytes

char_array2.c:
:#include <stdio.h>
:#include <string.h>
:
:int main() {
:   char str_a[20];
:
:   strcpy(str_a, "Hello World!\n");
:   printf(str_a);
:}

comment:
:Crash when I try to debug/run specific file.
:
:(you can see it as attachement)

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1321688139
:/usr/lib64/libtk8.5.so tk-1:8.5.11-1.fc16.x86_64 (Fedora Project) 1322707462
:/lib64/libm-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1321687886
:/usr/lib64/libXft.so.2.2.0 libXft-2.2.0-2.fc15.x86_64 (Fedora Project) 1321688626
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1321687853
:/lib64/libreadline.so.6.2 readline-6.2-2.fc16.x86_64 (Fedora Project) 1321687878
:/usr/share/fonts/default/Type1/n022003l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1321688705
:/usr/lib64/libitk3.4.so itk-3.4-6.fc15.x86_64 (Fedora Project) 1322707466
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1321688582
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1321687877
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1321688138
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1321688138
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1321688137
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1321687822
:/usr/share/fonts/default/Type1/n019003l.pfb urw-fonts-2.4-10.fc15.noarch (Fedora Project) 1321688705
:/lib64/libdl-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1321688127
:/lib64/libc-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/lib64/libtcl8.5.so tcl-1:8.5.11-1.fc16.x86_64 (Fedora Project) 1322111152
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1321687886
:/lib64/ld-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/lib64/libitcl3.4.so itcl-3.4-7.fc15.x86_64 (Fedora Project) 1322707459
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1321687853
:/usr/lib/locale/locale-archive glibc-common-2.14.90-19.x86_64 (Fedora Project) 1322442579
:/lib64/libthread_db-1.0.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-4.fc16.x86_64 (Fedora Project) 1322077697
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-19.x86_64 (Fedora Project) 1322442592
:/usr/bin/insight insight-6.8.1-4.fc15.x86_64 (Fedora Project) 1322707470

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.fedlaptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-XJAq3d/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ddfdacf4345741670b82998700000011-1322696761.131782-609446654
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=44040197
:GNOME_KEYRING_CONTROL=/tmp/keyring-XJAq3d
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:NO_PROXY=localhost,127.0.0.0/8
:IMSETTINGS_MODULE=none
:USER=michael
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-XJAq3d/ssh
:USERNAME=michael
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1441,unix/unix:/tmp/.ICE-unix/1441
:ALL_PROXY=socks://127.0.0.1:9050/
:all_proxy=socks://127.0.0.1:9050/
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/michael/.local/bin:/home/michael/bin
:MAIL=/var/spool/mail/michael
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/michael/Documents/home/reader/booksrc
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1436
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/michael
:SHLVL=2
:no_proxy=localhost,127.0.0.0/8
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=michael
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1NIYHsOV7t,guid=7c711ff3ba4f5b71aa029fe500000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/michael
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-michael-Uz9fqt/database
:OLDPWD=/home/michael/Documents/home/reader
:_=/usr/bin/insight

smolt_data:
:
:
:General
:=================================
:UUID: 920e4c34-a58d-4d18-bf24-a8bb98cb9ced
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4256.20
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P7450  @ 2.13GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2133
:System Memory: 3922
:System Swap: 2047
:Vendor: Hewlett-Packard
:System: HP HDX 16 Notebook PC Rev 1
:Form factor: Notebook
:Kernel: 3.1.5-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4156:13851) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4156:13851) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4156:13851) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4156:13851) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4156:13851) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:4156:13851) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:4156:13851) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4156:13851) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13851) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4332:33128:4156:13851) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10566:4156:13851) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4156:13851) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13851) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4156:13851) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4156:13851) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(6523:9088:4156:13851) pci, firewire_ohci, FIREWIRE, IEEE 1394 Host Controller
:(32902:10551:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(6523:9089:4156:13851) pci, None, BASE, Standard SD Host Controller
:(6523:9091:4156:13851) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9092:4156:13851) pci, None, BASE, xD Host Controller
:(32902:10552:4156:13851) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1609:4156:13851) pci, nouveau, VIDEO, G96 [GeForce 9600M GT]
:(6523:9090:4156:13851) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:10570:4156:13851) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:16951:32902:4625) pci, iwlagn, NETWORK, WiFi Link 5100 AGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/system-root / btrfs 4096 4096 10485760 6734544 5812258 0 0 0
:/dev/mapper/system-home /home btrfs 4096 4096 13107200 5423002 4276870 0 0 0
:/dev/sr0 WITHHELD udf 2048 2048 2132027 0 0 12 0 0
:

var_log_messages:
:Nov 30 21:44:31 localhost yum[29144]: Installed: insight-6.8.1-4.fc15.x86_64
:Nov 30 21:49:15 localhost kernel: [11062.665898] insight[29362]: segfault at 30 ip 000000000057d9f9 sp 00007fff38d4d9e0 error 4 in insight[400000+380000]
:Nov 30 21:49:17 localhost abrt[29376]: Saved core dump of pid 29362 (/usr/bin/insight) to /var/spool/abrt/ccpp-2011-11-30-21:49:15-29362 (13627392 bytes)

Comment 1 michael.faille 2011-12-19 03:50:13 UTC
Created attachment 548469 [details]
File: backtrace

Comment 2 michael.faille 2011-12-19 03:50:15 UTC
Created attachment 548470 [details]
File: a.out

Comment 3 michael.faille 2011-12-19 03:50:16 UTC
Created attachment 548471 [details]
File: char_array2

Comment 4 michael.faille 2011-12-19 03:52:50 UTC
Created attachment 548473 [details]
File: coredump

Comment 5 michael.faille 2011-12-19 03:52:54 UTC
Created attachment 548474 [details]
File: maps

Comment 6 Fedora Update System 2012-04-10 14:54:16 UTC
insight-7.4.50-1.20120403cvs.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/insight-7.4.50-1.20120403cvs.fc16

Comment 7 Fedora Update System 2012-04-11 03:51:07 UTC
Package insight-7.4.50-1.20120403cvs.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing insight-7.4.50-1.20120403cvs.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5626/insight-7.4.50-1.20120403cvs.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-04-19 12:24:02 UTC
insight-7.4.50-1.20120403cvs.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/insight-7.4.50-1.20120403cvs.fc17

Comment 9 Fedora Update System 2012-04-22 03:48:56 UTC
insight-7.4.50-1.20120403cvs.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-05-02 20:56:50 UTC
insight-7.4.50-1.20120403cvs.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.